Skip to main content
GET
/
live_data
/
{type}
/
milestone
/
{milestone_id}
Get Live Data (with type)
curl --request GET \
  --url https://api.elections.kalshi.com/trade-api/v2/live_data/{type}/milestone/{milestone_id}
{
  "live_data": {
    "type": "<string>",
    "details": {},
    "milestone_id": "<string>"
  }
}

Path Parameters

type
string
required

Type of live data

milestone_id
string
required

Milestone ID

Query Parameters

include_player_stats
boolean
default:false

When true, includes player-level statistics in the live data response. Supported for Pro Football, Pro Basketball, and College Men's Basketball milestones that have player ID mappings configured. Has no effect for other sports or milestones without player mappings.

Response

Live data retrieved successfully

live_data
object
required